#!/bin/bash
#PBS -k o 
#PBS -l nodes=1:ppn=8,vmem=8gb,walltime=8:00:00
#PBS -M cholden23@gmail.com
#PBS -m abe 
#PBS -N get_R_isopodorum_reads.sh
#PBS -j oe 

#####################################################
#####################################################

cd /N/dc2/scratch/chrichan/rickettsiella_evaluation

#Concatenate fasta files
cat Rickettsiella_isopodorum_formatted.fasta | sed 's/>contig_/>contig_isopodorum_/g' > all.fasta
cat Rickettsiella_grylli_rathkei_formatted.fasta | sed 's/>contig_/>contig_grylli_rathkei_/g' >> all.fasta
cat Rickettsiella_grylli.fasta | sed 's/>contig_/>contig_grylli_genbank_/g' >> all.fasta

#Map reads
module load bowtie2/2.2.6
bowtie2-build all.fasta all

reads1=T_rath_F_1.fastq
reads2=T_rath_F_2.fastq

module load samtools

bowtie2 -k 1 -p 8 --very-fast -x all -1 ${reads1} -2 ${reads2} | samtools view -S -F 3332 - | grep 'isopodorum' | cut -f 1 | uniq > F_isopodorum_reads.txt

seqtk subseq ${reads1} F_isopodorum_reads.txt > F_isopodorum_data_1.fastq
seqtk subseq ${reads2} F_isopodorum_reads.txt > F_isopodorum_data_2.fastq
