#!/bin/bash
#PBS -k o 
#PBS -l nodes=1:ppn=1,vmem=8gb,walltime=8:00:00
#PBS -M cholden23@gmail.com
#PBS -m abe 
#PBS -N reapr_isopodorum
#PBS -j oe 

#####################################################
#####################################################

cd /N/dc2/scratch/chrichan/rickettsiella_evaluation

module load gcc/4.7.2
module load R/3.0.1
module load perl/5.16.2
export PERL5LIB=$HOME/perl5/lib/perl5:$PERL5LIB

REAPRPATH=/N/dc2/scratch/chrichan/temp/Reapr_1.0.18

assembly=Rickettsiella_isopodorum_formatted.fasta
reads1=F_isopodorum_data_1.fastq
reads2=F_isopodorum_data_2.fastq

${REAPRPATH}/reapr facheck ${assembly}

${REAPRPATH}/reapr smaltmap -u 100 ${assembly} ${reads1} ${reads2} long_mapped.bam
${REAPRPATH}/reapr perfectmap ${assembly} ${reads1} ${reads2} 250 out.perfectmap
${REAPRPATH}/reapr pipeline ${assembly} long_mapped.bam reapr_out out.perfectmap

module load samtools
samtools index long_mapped.bam
